DBus

# Messages

class Message a

## Method calls

data MethodCall

methodCall

methodCallPath

methodCallInterface

methodCallMember

methodCallSender

methodCallDestination

methodCallAutoStart

methodCallReplyExpected

methodCallBody

## Method returns

data MethodReturn

methodReturn

methodReturnSerial

methodReturnSender

methodReturnDestination

methodReturnBody

## Method errors

data MethodError

methodError

methodErrorName

methodErrorSerial

methodErrorSender

methodErrorDestination

methodErrorBody

methodErrorMessage

## Signals

data Signal

signal

signalPath

signalMember

signalInterface

signalSender

signalDestination

signalBody

## Received messages

data ReceivedMessage

receivedMessageSerial

receivedMessageSender

receivedMessageBody

# Variants

data Variant

class IsVariant a

variantType

class IsAtom a

class IsValue a

typeOf

# Signatures

data Signature

data Type

signature

signature_

signatureTypes

formatSignature

parseSignature

# Object paths

data ObjectPath

objectPath_

formatObjectPath

parseObjectPath

# Names

## Interface names

data InterfaceName

interfaceName_

formatInterfaceName

parseInterfaceName

## Member names

data MemberName

memberName_

formatMemberName

parseMemberName

## Error names

data ErrorName

errorName_

formatErrorName

parseErrorName

## Bus names

data BusName

busName_

formatBusName

parseBusName

# Non-native containers

## Structures

data Structure

structureItems

## Arrays

data Array

arrayItems

## Dictionaries

data Dictionary

dictionaryItems

# Addresses

data Address

addressMethod

addressParameters

address

formatAddress

formatAddresses

parseAddress

parseAddresses

getSystemAddress

getSessionAddress

getStarterAddress

# Message marshaling

data Endianness

## Marshal

marshal

data MarshalError

marshalErrorMessage

## Unmarshal

unmarshal

data UnmarshalError

unmarshalErrorMessage

## Message serials

data Serial

serialValue

firstSerial

nextSerial

# D-Bus UUIDs

data UUID

formatUUID

randomUUID